package name.abhijitsarkar.javaee.cdi.listinjection;

import static java.util.stream.Collectors.toList;

import java.io.Serializable;
import java.util.List;
import java.util.stream.IntStream;

import javax.enterprise.context.ApplicationScoped;
import javax.enterprise.inject.Produces;

@ApplicationScoped
public class Producer implements Serializable {
    private static final long serialVersionUID = -191367110250307728L;

    @Produces
    @Employees
    public List<Employee> getEmployees() {
	return IntStream.range(1, 5).mapToObj(Integer::toString)
		.map(Employee::new).collect(toList());
    }
}
